# Get more details for a specific car rate Get additional details for a selected car rate from the search results. Endpoint: POST /v2/car/rate-details Version: v2 Security: Bearer ## Request fields (application/json): - `searchId` (string, required) SearchID of the car rate details. Example: "1cf76aba18e4015f" - `carId` (string, required) CarId of the car to be booked. Example: "EgRFQ0FSGgNFVzIiAkVUKgoKA1NGTxIDU0ZPMgoKA1NGTxIDU0ZP" - `isModify` (boolean) Indicates if the request is for modifying an existing booking. ## Response 200 fields (application/json): - `searchId` (string, required) SearchID of the car rate details. Example: "1cf76aba18e4015f" - `carId` (string, required) CarId of the car to be booked. Example: "EgRFQ0FSGgNFVzIiAkVUKgoKA1NGTxIDU0ZPMgoKA1NGTxIDU0ZP" - `pickupLocation` (object, required) Car Pickup Location details - `pickupLocation.address` (object, required) Location address / airport code. - `pickupLocation.address.addressLines` (array, required) Address lines Example: ["Golden Gate Bridge"] - `pickupLocation.address.administrativeArea` (string) Code of administrative area. For example: DL for Delhi, India. Highest administrative subdivision which is used for postal addresses of a country or region. For example, this can be a state, a province, an oblast, or a prefecture. Specifically, for Spain this is the province and not the autonomous community (e.g. "Barcelona" and not "Catalonia"). Many countries don't use an administrative area in postal addresses. E.g. in Switzerland this should be left unpopulated. Example: "CA" - `pickupLocation.address.administrativeAreaName` (string) Name of administrative area. This is full name corresponding to administrativeArea. Like Delhi for DL area code. For some places, code and name maybe same as well like Tokyo. Example: "California" - `pickupLocation.address.description` (string) Address description Example: "San Francisco Home" - `pickupLocation.address.isDefault` (boolean) Whether this address is default address in case multiple addresses are specified. Example: true - `pickupLocation.address.languageCode` (string) BCP-47 language code of the contents of this address (if known). This is often the UI language of the input form or is expected to match one of the languages used in the address' country/region, or their transliterated equivalents. This can affect formatting in certain countries, but is not critical to the correctness of the data and will never affect any validation or other non-formatting related operations. Examples: "zh-Hant", "ja", "ja-Latn", "en". Example: "en" - `pickupLocation.address.locality` (string) Generally refers to the city/town portion of the address. Example: "San Francisco" - `pickupLocation.address.locationCode` (string) IATA 3-letter location code. See https://www.iata.org/en/services/codes. Example: "LAX" - `pickupLocation.address.organization` (string) The name of the organization at the address. Example: "Spotnana" - `pickupLocation.address.postalCode` (string) Postal code of the address. This is a required field when setting for a user/legal entity/company etc. Example: "94130" - `pickupLocation.address.continentCode` (string) 2 letter continent code of the continent this address falls in. Example: "AF" - `pickupLocation.address.recipients` (array) The recipient at the address. - `pickupLocation.address.regionCode` (string, required) Region code of the country/region of the address. Example: "US" - `pickupLocation.address.regionName` (string) Region name of the country/region of the address. Example: "America" - `pickupLocation.address.revision` (integer) Example: 1 - `pickupLocation.address.sortingCode` (string) Additional, country-specific, sorting code. This is not used in most regions. Where it is used, the value is either a string like "CEDEX", optionally followed by a number (e.g. "CEDEX 7"), or just a number alone, representing the "sector code" (Jamaica), "delivery area indicator" (Malawi) or "post office indicator" (e.g. Côte d'Ivoire). Example: "Jamaica" - `pickupLocation.address.sublocality` (string) Sublocality of the address. This can be neighborhoods, boroughs, districts. - `pickupLocation.address.timezone` (string) Time zone of the address. Example: "America/Los_Angeles" - `pickupLocation.address.coordinates` (object) Map coordinates of the address. - `pickupLocation.address.coordinates.latitude` (number, required) Latitude of the Location Example: 77.1025 - `pickupLocation.address.coordinates.longitude` (number, required) Longitude of the Location Example: 28.7041 - `pickupLocation.coordinates` (object) Latitude and longitude of the location. - `pickupLocation.counterLocation` (string) Counter location. If airport counter, set locationCode in address. Enum: "UNKNOWN_COUNTER", "NON_AIRPORT_LOCATION", "IN_TERMINAL", "OFF_AIRPORT_RENTAL_SHUTTLE", "IN_TERMINAL_RENTAL_SHUTTLE", "ON_AIRPORT_RENTAL_SHUTTLE", "ON_AIRPORT_AIRPORT_SHUTTLE", "CALL_FOR_SHUTTLE", "TWO_SHUTTLES_AIRPORT_AND_RENTAL" - `pickupLocation.operatingSchedule` (object) Operating schedule of vendor - `pickupLocation.operatingSchedule.interval` (object, required) Operating schedule interval - `pickupLocation.operatingSchedule.interval.min` (object) Minimum value - inclusive. - `pickupLocation.operatingSchedule.interval.min.iso8601` (string, required) Example: "2017-07-21T17:32" - `pickupLocation.operatingSchedule.interval.max` (object) Maximum value - inclusive. - `pickupLocation.operatingSchedule.dayOfWeek` (string) Day of the week for which operating schedule is valid Example: "SUN" - `pickupLocation.weeklyOperatingSchedule` (array) Weekly operating schedule of vendor - `pickupLocation.contactInfo` (object) Contact info of the location - `pickupLocation.contactInfo.phone` (array) Example: ["123 456-7890"] - `pickupLocation.contactInfo.fax` (array) Example: ["123 456-7890"] - `pickupLocation.contactInfo.email` (array) Example: ["user@business.com"] - `pickupLocation.contactInfo.emergencyPhone` (array) Example: ["123 456-7890"] - `dropOffLocation` (object, required) Car DropOff Location details - `additionalDetails` (array) Car Additional Details - `additionalDetails.carAdditionalDetailType` (string) Car Additional Detail Type. Enum: "AGE_INFORMATION", "DRIVER_INFORMATION", "DROP_OFF_INFORMATION", "FEES_INFORMATION", "FUEL_INFORMATION", "GEOGRAPHIC_RESTRICTIONS_INFORMATION", "INSURANCE_INFORMATION", "LICENSE_INFORMATION", "SHUTTLE_INFORMATION", "OTHER_INFORMATION" - `additionalDetails.text` (string, required) Text description of additional detail. Example: "Driver needs to 25+" - `vendor` (object) Car Vendor information - `vendor.code` (string, required) Vendor code. Example: "ZE" - `vendor.name` (string, required) Vendor name. Example: "HERTZ" - `vendor.email` (string) Vendor email. Example: "abc@xyz.com" - `vendor.phone` (object) Vendor contact number. - `vendor.phone.countryCode` (integer) two digit country code Example: 91 - `vendor.phone.countryCodeSource` (string) Enum: "UNSPECIFIED", "FROM_NUMBER_WITH_PLUS_SIGN", "FROM_NUMBER_WITH_IDD", "FROM_NUMBER_WITHOUT_PLUS_SIGN", "FROM_DEFAULT_COUNTRY" - `vendor.phone.extension` (string) phone number extension Example: "222" - `vendor.phone.isoCountryCode` (string) ISO alpha-2 code Example: "IN" - `vendor.phone.italianLeadingZero` (boolean) Example: true - `vendor.phone.nationalNumber` (integer) Example: 8150 - `vendor.phone.numberOfLeadingZeros` (integer) Example: 1 - `vendor.phone.preferredDomesticCarrierCode` (string) Example: "7" - `vendor.phone.rawInput` (string) Example: "77777" - `vendor.phone.type` (string) Enum: "UNKNOWN_TYPE", "MOBILE", "LANDLINE" - `co2Emission` (object) The CO2 emission detail for car - `co2Emission.co2EmissionValue` (number, required) The CO2 emission value in kgs for car. Example: 0.01 - `isFlightNumberMandatoryForPickup` (boolean, required) Indicates if flight number is mandatory for pickup - `checkoutApprovalInfo` (object) Checkout approval information - `checkoutApprovalInfo.approvalType` (string) Type of APPROVAL Enum: "HARD_APPROVAL", "SOFT_APPROVAL", "PASSIVE_APPROVAL", "PRE_APPROVAL" - `checkoutApprovalInfo.approverDetails` (array) List of approver details - `checkoutApprovalInfo.approverDetails.approverName` (string) Name of approver Example: "John Doe" - `checkoutApprovalInfo.approverDetails.approverEmail` (string) Email of approver Example: "john.doe@company.com" - `checkoutApprovalInfo.approverDetails.approverUserOrgId` (object) User org id of the approver - `checkoutApprovalInfo.approverDetails.approverUserOrgId.organizationId` (object, required) Organization id for traveler. - `checkoutApprovalInfo.approverDetails.approverUserOrgId.organizationId.id` (string, required) - `checkoutApprovalInfo.approverDetails.approverUserOrgId.userId` (object, required) User identifier - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcBasicInfo` (object) TMC related basic information. - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcBasicInfo.contractingTmc` (object, required) Contracting TMC is the TMC the user/organization contracted. - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcBasicInfo.contractingTmc.id` (object, required) Company ID - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcBasicInfo.contractingTmc.name` (string) - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcBasicInfo.contractingTmc.logo` (object) Company logo - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcBasicInfo.contractingTmc.logo.data` (string) Example: "6935813e12584abda0e43d71cd2ea260" - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcBasicInfo.contractingTmc.logo.dimensions` (object) Image dimensions ie width and height. - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcBasicInfo.contractingTmc.logo.dimensions.height` (integer) Example: 120 - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcBasicInfo.contractingTmc.logo.dimensions.width` (integer) Example: 240 - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcBasicInfo.contractingTmc.logo.url` (string) Example: "https://static.wixstatic.com/media/73f2e2_6935813e12584abda0e43d71cd2ea260~mv2.png/v1/fill/w_630,h_94,al_c,q_85,usm_0.66_1.00_0.01/Spotnana%403x.webp" - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcBasicInfo.bookingTmc` (object, required) Booking TMC is the TMC used for the bookings for the user/organization. - `checkoutApprovalInfo.approverDetails.approverUserOrgId.organizationAgencyId` (object) Agency id for the organization. - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcInfo` (object) TMC config information. - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcInfo.id` (object, required) TMC id. - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcInfo.primaryServiceProviderTmc` (object, required) Primary service provider TMC for the TMC. - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcInfo.primaryServiceProviderTmc.tmcId` (object, required) Id of the service provider TMC. - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcInfo.secondaryServiceProviderTmcs` (array) Secondary service provider TMCs for the TMC. - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcInfo.secondaryServiceProviderTmcs.supplier` (string, required) Supplier for which this service provider should be used. Enum: "SABRE", "AMADEUS", "TRAVEL_FUSION", "FARELOGIX_NDC", "ATPCO_NDC", "TRAINLINE", "AVIA", "QBR", "BCD", "QANTAS_HOTELS", "SOUTHWEST", "EXPEDIA", "HOTEL_HUB", "NDC", "MARRIOTT", "CLEARTRIP", "KYTE", "GROUNDSPAN", "SABRE_NDC", "BOOKING_COM", "CARTRAWLER", "PREMIER_INN", "TRAVELODGE", "ENTERPRISE", "HYATT", "NATIONAL", "ALAMO", "HERTZ", "DOLLAR", "THRIFTY", "FIREFLY", "EUROSTAR", "AVIS" - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcInfo.secondaryServiceProviderTmcs.travelType` (string, required) Travel type for which this service provider should be used. Enum: "AIR", "HOTEL", "CAR", "RAIL", "LIMO", "MISC", "ALL" - `checkoutApprovalInfo.approverDetails.approverUserOrgId.tmcInfo.partnerTmcId` (object) Useful to identify the clients onboarded by a PARTNER_TMC - `checkoutApprovalInfo.approverDetails.type` (string) Type of approver Enum: "UNKNOWN_APPROVER", "APPROVER", "AUTHORIZER" ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.